Bug 834996 - [abrt] libreoffice-core-3.5.4.2-1.fc17: gdk_keyboard_grab during post-main shutdown killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.4.2-1.fc17: gdk_keyboard_grab during post-main sh...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:e6db4e4fee2390b8a49a138a547...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 04:11 EDT by Ahmed Noor Kader Mustajir B. Md Eusoff
Modified: 2012-07-09 03:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-09 03:44:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (33.16 KB, text/plain)
2012-06-25 04:11 EDT, Ahmed Noor Kader Mustajir B. Md Eusoff
no flags Details
File: maps (94.74 KB, text/plain)
2012-06-25 04:11 EDT, Ahmed Noor Kader Mustajir B. Md Eusoff
no flags Details
File: dso_list (21.67 KB, text/plain)
2012-06-25 04:11 EDT, Ahmed Noor Kader Mustajir B. Md Eusoff
no flags Details

  None (edit)
Description Ahmed Noor Kader Mustajir B. Md Eusoff 2012-06-25 04:11:17 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///run/media/mustajir/DATA/UiTM/IM110/IMD208/download/CourseInfo.doc --splash-pipe=6
crash_function: __GI_exit
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.4.3-1.fc17.x86_64
pid:            2155
pwd:            /home/mustajir
time:           Thu 21 Jun 2012 03:03:43 PM MYT
uid:            1000
username:       mustajir
xsession_errors: 

backtrace:      Text file, 33951 bytes
dso_list:       Text file, 22193 bytes
maps:           Text file, 97018 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mustajir/2

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x38b61 __run_exit_handlers libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x38c35 exit libc.so.6 -
:d8d393649ae4da146ebc8812db58514f245f08a9 0x6a1d4 - libgdk-x11-2.0.so.0 -
:127f8958b602715234a02b88adb08afd9e34c203 0x455ce _XIOError libX11.so.6 -
:127f8958b602715234a02b88adb08afd9e34c203 0x435ac _XReply libX11.so.6 -
:127f8958b602715234a02b88adb08afd9e34c203 0x296a1 XGetSelectionOwner libX11.so.6 -
:7d2fd80dbbf2819ea84d0857dbeed35eebfa949f 0x4d9c9 - libvclplug_genlo.so -
:7abf6f5910d864b9914301365d64bbf8502fc06e 0x169cc - libuno_sal.so.3 -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

environ:
:XDG_VTNR=1
:INSIDE_NAUTILUS_PYTHON=
:XDG_SESSION_ID=2
:HOSTNAME=mustajir
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=2140
:GPG_AGENT_INFO=/run/user/mustajir/keyring-5UJkm8/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=nautilus-2041-mustajir-libreoffice-0_TIME112219
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:OLDPWD=/usr/lib64/libreoffice/program
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/mustajir/keyring-5UJkm8
:QTINC=/usr/lib64/qt-3.3/include
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=mustajir
:SSH_AUTH_SOCK=/run/user/mustajir/keyring-5UJkm8/ssh
:
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1420,unix/unix:/tmp/.ICE-unix/1420
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-writer.desktop
:MAIL=/var/spool/mail/mustajir
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/mustajir/.local/bin:/home/mustajir/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/mustajir
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1416
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/mustajir
:SHLVL=1
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=mustajir
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ua0HwmRX98,guid=4b8a1741ebb6895be410095900000031
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/mustajir
:DISPLAY=:0.0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-mustajir-kUdXtt/database
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31196                processes 
:Max open files            4096                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31196                31196                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/mustajir/.xsession-errors
:pos:	18838
:flags:	0102002
:2:/home/mustajir/.xsession-errors
:pos:	18838
:flags:	0102002
:3:socket:[28757]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:pipe:[27869]
:pos:	0
:flags:	00
:6:pipe:[27869]
:pos:	0
:flags:	01
:7:socket:[27878]
:pos:	0
:flags:	02000002

smolt_data:
:
:
:General
:=================================
:UUID: 5c043d22-88ef-4eac-8e41-eb29186da53c
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3466.65
:CPU Vendor: GenuineIntel
:CPU Model: Genuine Intel(R) CPU           U7300  @ 1.30GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 1300
:System Memory: 3920
:System Swap: 5983
:Vendor: ASUSTeK Computer Inc.
:System: UL50VT 1.0
:Form factor: Notebook
:Kernel: 3.4.3-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10816:4163:7687) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10817:4163:7687) pci, pcieport, PCI/PCI, Mobile 4 Series Chipset PCI Express Graphics Port
:(6505:4195:4163:6176) pci, atl1c, ETHERNET, AR8131 Gigabit Ethernet
:(32902:10537:4163:7687) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10519:4163:7687) pci, None, PCI/ISA, ICH9M-E LPC Interface Controller
:(32902:9288:4163:7687) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10549:4163:7687) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:4163:7687) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:4163:7687) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4163:7687) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4163:7687) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4163:7687) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:131:32902:4869) pci, iwlwifi, NETWORK, Centrino Wireless-N 1000 BGN
:(32902:10818:4163:6898) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:32902:10560) pci, pcieport, PCI/PCI, Optiplex 755
:(32902:10562:4163:7687) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10558:4163:5139) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4163:7687) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4163:7687) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4318:3043:4163:6898) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(4318:2676:4163:6898) pci, None, VIDEO, GT218 [GeForce G210M]
:(32902:10570:4163:7687) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_mustajir-lv_root / ext4 4096 4096 13081025 10539696 9884336 3276800 2926041 2926041
:/dev/sda6 /boot ext4 1024 1024 508644 399691 374091 128016 127667 127667
:/dev/mapper/vg_mustajir-lv_home /home ext4 4096 4096 8327124 7828764 7411382 2088960 2086009 2086009
:

var_log_messages:
:Jun 21 15:03:43 mustajir kernel: [ 3361.099704] soffice.bin[2160]: segfault at 7dbb67a0 ip 000000330da38b61 sp 00007f9d170659f0 error 4 in libc-2.15.so[330da00000+1ac000]
:Jun 21 15:03:46 mustajir abrt[4197]: Saved core dump of pid 2155 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-06-21-15:03:43-2155 (142745600 bytes)
Comment 1 Ahmed Noor Kader Mustajir B. Md Eusoff 2012-06-25 04:11:25 EDT
Created attachment 594123 [details]
File: backtrace
Comment 2 Ahmed Noor Kader Mustajir B. Md Eusoff 2012-06-25 04:11:30 EDT
Created attachment 594124 [details]
File: maps
Comment 3 Ahmed Noor Kader Mustajir B. Md Eusoff 2012-06-25 04:11:34 EDT
Created attachment 594125 [details]
File: dso_list
Comment 4 Caolan McNamara 2012-06-25 04:28:34 EDT
gdk_keyboard_grab during shutdown.
Comment 5 Stephan Bergmann 2012-07-09 03:44:28 EDT
...but unfortunately information about the failing thread is missing.  It is generally a programming error if a thread is still trying to make progress while the main thread is already exiting.  Here, it looks like either thread 1 or 3 is the main thread, and the other one an additionally spawned one, and both are racing to execute __GI_exit -> __run_exit_handlers, where it looks very suspicious that __run_exit_handlers should be prone to race conditions.  gdk_keyboard_grab might be a red herring after all, given the gdb warnings about debug information, and the fact that both backtraces are garbled past that frame.

If this is a general problem, we hopefully get another report with non-broken backtraces of the relevant threads.

Note You need to log in before you can comment on or make changes to this bug.